import contentapiSerializer from "./contentapi-serializer";

import ldt_annotate from "./ldt_annotate";

import ldt_localstorage from "./ldt_localstorage";

import ldtSerializer from "./ldt-serializer";

import segmentapiSerializer from "./segmentapi-serializer";

const serializers = function (IriSP) { return {
  content: contentapiSerializer(IriSP),
  ldt_annotate: ldt_annotate(IriSP),
  ldt_localstorage: ldt_localstorage(IriSP),
  ldt: ldtSerializer(IriSP),
  segmentapi: segmentapiSerializer(IriSP),
}};

export default serializers;
